AWS
probe ASG

# has_subnets

Determines if the provided autoscaling groups are in the provided subnets

Run it now
View details

Type | probe
Module | chaosaws.asg.probes
Name | has_subnets
Return | boolean

Usage

JSON

    {
      "name": "has-subnets",
      "type": "probe",
      "provider": {
        "type": "python",
        "module": "chaosaws.asg.probes",
        "func": "has_subnets",
        "arguments": {
          "subnets": []
        }
      }
    }

YAML

    name: has-subnets
    provider:
      arguments:
        subnets: []
      func: has_subnets
      module: chaosaws.asg.probes
      type: python
    type: probe

Arguments

Name | Type | Default | Required | Title | Description
--- | --- | --- | --- | --- | ---
asg_names | list | null | No | ASG Names | One or many ASG names as a JSON encoded list
tags | list | null | No | ASG Tags | List of AWS tags for to identify ASG by tags instead of by names
subnets | list |  | Yes | Subnet IDs | List of subnets to check for

Signature

    def has_subnets(subnets: List[str],
                    asg_names: List[str] = None,
                    tags: List[Dict[str, str]] = None,
                    configuration: Dict[str, Dict[str, str]] = None,
                    secrets: Dict[str, Dict[str, str]] = None) -> bool:
        pass

## Related starters

- AWS
  probe ASG

  ## `is_scaling_in_progress`

  Check if there is any scaling activity in progress for ASG matching tags
- AWS
  probe ASG

  ## `wait_desired_equals_healthy_tags`

  Wait until the desired number matches the number of healthy instances for each of the auto-scaling groups matching tags provided
- AWS
  probe ASG

  ## `process_is_suspended`

  Determines if one or more processes on an ASG are suspended.